Method: rowAccessPolicies.insert

Creates a row access policy.

HTTP request

POST https://bigquery.googleapis.com/bigquery/v2/projects/{projectId}/datasets/{datasetId}/tables/{tableId}/rowAccessPolicies

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
projectId

string

Required. Project ID of the table to get the row access policy.

datasetId

string

Required. Dataset ID of the table to get the row access policy.

tableId

string

Required. Table ID of the table to get the row access policy.

Request body

The request body contains an instance of RowAccessPolicy.

Response body

If successful, the response body contains a newly created instance of RowAccessPolicy.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/bigquery
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.